Updated to latest got 502 Bad Gateway

I tried to run bench update…this is what I get

Traceback (most recent call last):
File “/usr/local/bin/bench”, line 9, in
load_entry_point(‘bench==0.0.0’, ‘console_scripts’, ‘bench’)()
File “/home/netsir/bench-repo/bench/cli.py”, line 40, in cli
bench_command()
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 716, in call
return self.main(*args, **kwargs)
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 696, in main
rv = self.invoke(ctx)
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 1060, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 889, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 534, in invoke
return callback(*args, **kwargs)
File “/home/netsir/bench-repo/bench/commands/update.py”, line 61, in update
_update(pull, patch, build, bench, auto, restart_supervisor, requirements, no_backup, upgrade, force=force)
File “/home/netsir/bench-repo/bench/commands/update.py”, line 77, in _update
pull_all_apps(bench=bench_path)
File “/home/netsir/bench-repo/bench/app.py”, line 94, in pull_all_apps
exec_cmd(“git pull {rebase} upstream {branch}”.format(rebase=rebase, branch=get_current_branch(app, bench=bench)), cwd=app_dir)
File “/home/netsir/bench-repo/bench/utils.py”, line 100, in exec_cmd
raise CommandFailedError(cmd)
bench.utils.CommandFailedError: git pull upstream master

Please help

Maybe you lost network? Try again.

It’s not the network. My connection is fine.

@Johannes_Maepa

Did you happen to change the branch for any of the apps in your <your_bench>/apps folder. Generally, you get this error when apps are not pulling from upstream develop or master branch. Please check

no i did not. i ended up formatting and reinstalling everything.

i am still getting errors? i don’t understand what did you guys change?

We have not changed anything. Can you share the exact steps you are using and the platform (Ubuntu/CentOS)

I am using Ubuntu Desktop 14.04…I am going to format again and try with the 64 bit one and the I will sharewhat I get with you.

ok installations finishes with this…

tshwane@tshwane-Server:~$ wget https://raw.githubusercontent.com/frappe/bench/master/install_scripts/setup_frappe.sh
–2016-06-02 04:38:27-- https://raw.githubusercontent.com/frappe/bench/master/install_scripts/setup_frappe.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)… 185.31.18.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|185.31.18.133|:443… connected.
HTTP request sent, awaiting response… 200 OK
Length: 14155 (14K) [text/plain]
Saving to: ‘setup_frappe.sh’

100%[======================================>] 14 155 67,9KB/s in 0,2s

2016-06-02 04:38:28 (67,9 KB/s) - ‘setup_frappe.sh’ saved [14155/14155]

tshwane@tshwane-Server:~$ sudo bash setup_frappe.sh --setup-production
[sudo] password for tshwane:
Installing for Ubuntu trusty x86
In case you encounter an error, you can post on https://discuss.frappe.io

Adding ubuntu mariadb repo
Installing packages for Ubuntu. This might take time…
Installing wkhtmltopdf

  • Stopping MariaDB database server mysqld [ OK ]
  • Starting MariaDB database server mysqld [ OK ]
  • Checking for corrupt, not cleanly closed and upgrade needing tables.
    Adding frappe user
    Installing frappe-bench
    Already using interpreter /usr/bin/python
    INFO:bench.app:getting app frappe
    Cloning into ‘frappe’…
    INFO:bench.app:installing frappe
    /home/tshwane/frappe-bench/env/local/lib/python2.7/site-packages/pip/vendor/requests/packages/urllib3/util/ssl.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#snimissingwarning.
    SNIMissingWarning
    /home/tshwane/frappe-bench/env/local/lib/python2.7/site-packages/pip/vendor/requests/packages/urllib3/util/ssl.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
    InsecurePlatformWarning
    INFO:urllib3.connectionpool:Starting new HTTPS connection (1): raw.githubusercontent.com
    DEBUG:urllib3.connectionpool:Setting read timeout to None
    DEBUG:urllib3.connectionpool:“GET /frappe/bench/master/install_scripts/erpnext-apps-master.json HTTP/1.1” 200 101
    INFO:bench.app:getting app erpnext
    Cloning into ‘erpnext’…
    INFO:bench.app:installing erpnext
    /home/tshwane/frappe-bench/env/local/lib/python2.7/site-packages/pip/vendor/requests/packages/urllib3/util/ssl.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#snimissingwarning.
    SNIMissingWarning
    /home/tshwane/frappe-bench/env/local/lib/python2.7/site-packages/pip/vendor/requests/packages/urllib3/util/ssl.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
    InsecurePlatformWarning
    /bin/sh: 1: npm: not found
    installing frappe
    installing erpnext
    Traceback (most recent call last):
    File “/usr/local/bin/bench”, line 9, in
    load_entry_point(‘bench==3.0.0’, ‘console_scripts’, ‘bench’)()
    File “/home/tshwane/bench-repo/bench/cli.py”, line 40, in cli
    bench_command()
    File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 716, in call
    return self.main(*args, **kwargs)
    File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 696, in main
    rv = self.invoke(ctx)
    File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 1060, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
    File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 889, in invoke
    return ctx.invoke(self.callback, **ctx.params)
    File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 534, in invoke
    return callback(*args, **kwargs)
    File “/home/tshwane/bench-repo/bench/commands/make.py”, line 17, in init
    no_auto_update=no_auto_update, frappe_path=frappe_path, frappe_branch=frappe_branch, verbose=verbose)
    File “/home/tshwane/bench-repo/bench/utils.py”, line 70, in init
    setup_socketio(bench=path)
    File “/home/tshwane/bench-repo/bench/utils.py”, line 110, in setup_socketio
    exec_cmd(“npm install socket.io redis express superagent cookie”, cwd=bench)
    File “/home/tshwane/bench-repo/bench/utils.py”, line 100, in exec_cmd
    raise CommandFailedError(cmd)
    bench.utils.CommandFailedError: npm install socket.io redis express superagent cookie
    tshwane@tshwane-Server:~$

I get the…
Welcome to nginx!
If you see this page, the nginx web server is successfully installed and
working. Further configuration is required.

For online documentation and support please refer to
nginx.org.

Commercial support is available at
nginx.com.

Thank you for using nginx.

message…

Fresh Ubuntu install and fresh ERPNext install…please help.

@shreyasp @vjFaLk

Looks like a problem with npm

any advise for me please

ok let me try that

ok I followed the instructions to the letter. the nodejs was updated but I still can’t access ERPNext site. And when I run bench update I get …

tshwane@tshwane-Server:~/frappe-bench$ bench update
fatal: unable to access ‘https://github.com/frappe/frappe.git/’: Could not resolve host: github.com
Traceback (most recent call last):
File “/usr/local/bin/bench”, line 9, in
load_entry_point(‘bench==3.0.0’, ‘console_scripts’, ‘bench’)()
File “/home/tshwane/bench-repo/bench/cli.py”, line 40, in cli
bench_command()
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 716, in call
return self.main(*args, **kwargs)
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 696, in main
rv = self.invoke(ctx)
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 1060, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 889, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 534, in invoke
return callback(*args, **kwargs)
File “/home/tshwane/bench-repo/bench/commands/update.py”, line 31, in update
version_upgrade = is_version_upgrade()
File “/home/tshwane/bench-repo/bench/app.py”, line 101, in is_version_upgrade
fetch_upstream(‘frappe’, bench=bench)
File “/home/tshwane/bench-repo/bench/app.py”, line 132, in fetch_upstream
return exec_cmd(“git fetch upstream”, cwd=repo_dir)
File “/home/tshwane/bench-repo/bench/utils.py”, line 100, in exec_cmd
raise CommandFailedError(cmd)
bench.utils.CommandFailedError: git fetch upstream
tshwane@tshwane-Server:~/frappe-bench$

please help.

Are you behind a proxy? It seems you’re unable to connect to Github servers.

I pinged github.com
No problem.
I am not behind any proxies.

This is quite odd, are you able to run git fetch upstream manually inside the frappe folder?

how do i do that?